
#if !defined(AFX_ADDACCESSLEVEL_H__C373FD58_5382_4C3A_A864_DA16110565CF__INCLUDED_)
#define AFX_ADDACCESSLEVEL_H__C373FD58_5382_4C3A_A864_DA16110565CF__INCLUDED_


//#import "C:\Program Files\WINPAKPRO\WIN-PAK Database API\NCIWinPak.dll" no_namespace

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AddAccessLevel.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAddAccessLevel dialog

class CAddAccessLevel : public CDialog
{
// Construction
public:
	CAddAccessLevel(CWnd* pParent = NULL);   // standard constructor
	CAddAccessLevel(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CAddAccessLevel)
	enum { IDD = IDD_ACCESS_ADD };
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CListBox	m_EditSubAcctList;
	CString	m_Acclname;
	CString	m_Accldesc;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddAccessLevel)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddAccessLevel)
	virtual BOOL OnInitDialog();
	afx_msg void OnAdd();
	afx_msg void OnSelchangeAcctlist();
	
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
IApplicationPtr pApplication;
IAccessLevelPtr	pAccl;  
void LoadAccounts();
void LoadSubAccounts(long lAcctID);
void LoadSubAccountNames(long lAcctID);

};


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDACCESSLEVEL_H__C373FD58_5382_4C3A_A864_DA16110565CF__INCLUDED_)
